org.apache.maven.scm.provider.tfs.command

## Class TfsStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsStatusCommand

All Implemented Interfaces:
  Command

    public class TfsStatusCommand
    extends AbstractStatusCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsStatusCommand()`

### Method Summary

Methods
`TfsCommand` `createCommand(TfsScmProviderRepository r, ScmFileSet f)`
`protected StatusScmResult` `executeStatusCommand(ScmProviderRepository r, ScmFileSet f)`

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsStatusCommand

    public TfsStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand(ScmProviderRepository r,
                                       ScmFileSet f)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`

#### createCommand

    public TfsCommand createCommand(TfsScmProviderRepository r,
                           ScmFileSet f)